#### 4.22.3.4 coneLink

`Syntax:`
  `coneLink(` cone c `)`
`Type:`
  cone
`Purpose:`
  local version of the given cone around the given point of the cone
`Example:`

      LIB"gfanlib.so";
      intmat M[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone c=coneViaPoints(M);
      intvec v=1,0,0;
      cone cc=coneLink(c,v);
      cc;
      ==> AMBIENT_DIM
      ==> 3
      ==> FACETS
      ==> 0,0,1,
      ==> 0,1,0
      ==> LINEAR_SPAN
      ==>
      ==>
      print(rays(cc));
      ==> 0,1,0,
      ==> 0,0,1
      intvec w=1,1,1;
      cone cd=coneLink(c,w);
      cd;
      ==> AMBIENT_DIM
      ==> 3
      ==> FACETS
      ==>
      ==> LINEAR_SPAN
      ==>
      ==>
      print(rays(cd));
      ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.